#!/bin/bash

# Bash is very limited in formatting output. You'd do better in perl or some
# other "real" language. But since this is just an example, I'll do this in
# what most people manages to read. The script in itself is not important -
# the variables are, since I expect you to experiment a bit with this..
# If you manage to create a decent script which formats in a generic way,
# and don't mind spreading the wealth, please send it to me so I can include
# it.

IFSORIG=$IFS
IFS="^"

# Initialize variables. bash is a bit limited, so we gotta do a "hack"
c=1
for a in `echo $@ | sed "s|\" \"|^|g"`; do
b[c]=$a
let c=c+1
done

IFS=$IFSORIG

# Give the variables some sensible names
IMDBDATE=${b[1]}
IMDBDOTFILE=${b[2]}
IMDBRELPATH=${b[3]}
IMDBURL=${b[4]}
IMDBTITLE=${b[5]}
IMDBGENRE=${b[6]}
IMDBRATING=${b[7]}
IMDBCOUNTRY=${b[8]}
IMDBLANGUAGE=${b[9]}
IMDBCERTIFICATION=${b[10]}
IMDBRUNTIME=${b[11]}
IMDBDIRECTOR=${b[12]}
IMDBBUSINESSDATA=${b[13]}
IMDBPREMIERE=${b[14]}
IMDBLIMITED=${b[15]}
IMDBVOTES=${b[16]}
IMDBSCORE=${b[17]}
IMDBNAME=${b[18]}
IMDBYEAR=${b[19]}
IMDBNUMSCREENS=${b[20]}
IMDBISLIMITED=${b[21]}
IMDBTAGLINE=${b[22]}
IMDBPLOT=${b[23]}

# From here on you should just paste/format the output to your liking.
# The following do nothing in the way of formatting etc - it's just an
# example you know.

echo "IMDb facts for $IMDBNAME ($IMDBURL):" >> $IMDBDOTFILE
echo "-" >> $IMDBDOTFILE
echo "Genre: $IMDBGENRE" >> $IMDBDOTFILE
echo "Rating: $IMDBRATING" >> $IMDBDOTFILE
echo "Runtime: $IMDBRUNTIME" >> $IMDBDOTFILE
echo "Directed by: $IMDBDIRECTOR" >> $IMDBDOTFILE
echo "Business data: $IMDBBUSINESS" >> $IMDBDOTFILE
echo "Premiere data: $IMDBPREMIERE" >> $IMDBDOTFILE

# You should always exit with a 0 - the parent won't give a crap anyway,
# but just to make sure...
exit 0

